*{
    box-sizing: border-box;
}

html{
    width: 100%;
    margin: 0;
    padding: 0;
}

body{
    background-color: white;
    margin: 0;
    padding: 0;
    font-family: DM Sans;
}

div{
    margin: 0;
    padding: 0;
}

span{
    margin: 0;
    padding: 0;
}



form input{
    font-size: 16px;
    height: 30px;
}

form input[type="text"],
form input[type="number"],
form input[type="password"]{
    padding: 3px;
    width: 400px;
}



form textarea{
    width: 400px;
    height: 150px;
}

.silent-link{
    text-decoration: none;
    color: inherit;
}

.silent-link:hover{
    text-decoration: underline;
}

.navbar{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    border-style: solid;
    border-color: lightgray;
    border-width: 0 0 1px 0;
}

.navbar .title{
    margin-left: 10px;
    color: black;
    text-decoration: none;
}

.navbar .title:hover{
    text-decoration: underline;
}

.navbar .login{
    margin-right: 10px;
}

.navbar .login a{
    color: black;
}

.navbar .login a:hover{
    text-decoration: none;
}

.footer{
    text-align: center;
    padding-left: 10px;
    padding-right: 10px;
    color: white;
    background-color: #424242;
    padding: 10px;
}

.footer :a{
    color: white;
}

.footer a:visited{
    color: white;
}

.footer a:hover{
    color: lightgray;
}

.homepage-title-portrait{
    max-height: calc(100vh - 21px);
    max-width: 60vw;
    position: absolute;
    right: 0px;
    bottom: calc(100% - 100vh);
    object-fit: cover;
    z-index: -1;
}

.content{
    padding: 20px;
    min-height: 100vh;
}

.auth-form-page{
    display: flex;
    flex-direction: column;
    align-items: center;
}



.auth-form-page .auth-form-box form{
    font-size: 17px;
}

.auth-form-page .auth-form-box form input{
    width: 250px;
    height: 35px;
    margin-bottom: 10px;
    font-size: 17px;
}

.hello-section{
    height: calc(100vh - 21px);
}

.hello-section .title-container{
    position: absolute;
    bottom: 10%;
    left: 8%;
    display: flex;
    flex-direction: column;
}

.hello-section .title-container .hello-text{
    font-size: calc(((1vh * 20) + (1vw * 15)) * 0.3);
    font-weight: 1000;
    color: rgb(14,129,247);
    background: rgb(14,129,247);
    background: linear-gradient(130deg, rgba(14,129,247,1) 0%, rgba(60,241,207,1) 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.hello-section .title-container .hello-subtext{
    margin-top: 12px;
    font-size: calc(((1vh * 5) + (1vw * 2)) / 2);
    font-weight: 300;
    text-align: left;
}

.hello-gap{
    background-color: #1ea8e5;
    position: absolute;
    top: 100vh;
    right: 0px;
    height: 50px;
    z-index: -2;
}

.articles-section{
    height: 400px;
    padding: 15px;
    background-color: #ededed;
}

.articles-section .articles-row{
    display: flex;
    direction: row;
    margin-left: 20px;
}

.articles-section .article-card{
    background-color: #e0e0e0;
    padding: 6px;
    margin: 5px;
    width: 200px;
    height: 250px;
    border-radius: 8px;
    -moz-box-shadow: 2px 2px 4px 0px #d0d0d0;
    -o-box-shadow: 2px 2px 4px 0px #d0d0d0;
    -webkit-box-shadow: 2px 2px 4px 0px #d0d0d0;
    -ms-box-shadow: 2px 2px 4px 0px #d0d0d0;
    box-shadow: 2px 2px 4px 0px #d0d0d0;
}

.articles-section .article-card img{
    width: 100px;
}

.article-page{
    display: flex;
    flex-direction: row;
    justify-content: center;
    padding: 20px;
}

.article-page .article-page-inner{
    max-width: 800px;
    width: 800px;
}

.article-page .article-page-inner .title{
    margin: 0;
    padding: 0;
}

.article-form{
    margin-left: 10px;
}

.article-form textarea{
    height: 300px;
}

@media (max-width: 420px){
    form input[type="text"],
    form input[type="number"],
    form input[type="password"]{
        width: 98%;
    }
    form textarea{
        width: 98%;
    }
}

@media (max-width: 530px){
    .content{
        padding: 5px;
    }
    .hello-section .title-container{
        top: 8vh;
        left: 4vw;
    }
    .hello-section .title-container .hello-text{
        font-size: 10vw;
    }
    .hello-section .title-container .hello-subtext{
        font-size: 6vw;
        max-width: 50%;
        text-align: left;
    }
}

@media (max-width: 800px) and (min-width: 531px){
    .hello-section .title-container{
        bottom: 5%;
        left: 4%;
    }
}

@media (max-width: 1200px) and (min-width: 801px){
    .hello-section .title-container{
        bottom: 10%;
        left: 5%;
    }
    .hello-section .title-container .hello-text{
        font-size: calc(((1vh * 18 * 0.8) + (1vw * 12 * 0.8)) / 2);
    }
    .hello-section .title-container .hello-subtext{
        font-size: calc(((1vh * 5 * 0.8) + (1vw * 2 * 0.8)) / 2);
    }
}

@media (max-width: 400px) and (min-height: 800px){
    .homepage-title-portrait{
        max-height: calc(100% - 40px);
        max-width: 80vw;
    }
}

@media (max-width: 288px){
    .hello-section{
        height: calc(100vh - 41px);
    }
}